export interface Root {
  title: string;
  description: string;
  category: string[];
  vid_thumb_url: string;
  vid_thumb_base64: boolean;
  tags: any[];
  published: string;
  vid_last_refresh: number;
  date_downloaded: number;
  youtube_id: string;
  vid_type: string;
  active: boolean;
  channel: Channel;
  stats: Stats;
  media_url: string;
  player: Player;
  streams: Stream[];
  media_size: number;
  playlist: string[];
}

export interface Channel {
  channel_name: string;
  channel_thumb_url: string;
  channel_active: boolean;
  channel_description: string;
  channel_last_refresh: number;
  channel_subscribed: boolean;
  channel_subs: number;
  channel_banner_url: string;
  channel_tvart_url: string;
  channel_views: number;
  channel_id: string;
  channel_tags: string[];
}

export interface Stats {
  view_count: number;
  like_count: number;
  dislike_count: number;
  average_rating: any;
}

export interface Player {
  duration: number;
  watched: boolean;
  duration_str: string;
}

export interface Stream {
  type: string;
  index: number;
  codec: string;
  width?: number;
  height?: number;
  bitrate: number;
}
